Page MenuHomeMiraheze

Extension:JsCalendar
Closed, DeclinedPublic

Description

Wiki URLmagic.miraheze.org

Please install extention:
https://www.mediawiki.org/wiki/Extension:JsCalendar

Event Timeline

The Extention listed on official Calendars list of MediaWiki https://m.mediawiki.org/wiki/Calendars and updated two months ago by Edward Chernenko. I believe that calendar should be the best suitable calendar I found so far.

Helper lowered the priority of this task from Normal to Low.Jul 27 2020, 12:08

I haven't delved completely into the code here, but it looks pretty good from what I can see. I think this is good to install.

Looks fine to me as well. Approved.

Paladox raised the priority of this task from Low to Normal.Aug 14 2020, 03:16
Paladox added a subscriber: Paladox.

@RhinosF1 / @Reception123 want to install?

Reception123 claimed this task.

@Helper You can now enable this in Special:ManageWiki/extensions.

Helper reopened this task as Open.EditedSep 2 2020, 01:05

Sorry to inform you, but looks like the installed extension does not work.
https://vedopedia.witches-empire.com/wiki/%D0%A3%D1%87%D0%B0%D1%81%D1%82%D0%BD%D0%B8%D0%BA:%D0%97%D0%B0%D1%82%D0%B5%D0%B9%D0%BD%D0%B8%D0%BA/%D0%BF%D0%B5%D1%81%D0%BE%D1%87%D0%BD%D0%B8%D1%86%D0%B0
The link to sandbox.
The code added, the example:

<EventCalendar>
prefix = Today_in_History/
suffix =
dateFormat = F_j
</EventCalendar>

Browser IceCatMobile on Android.
FOSS Browser on Android, same, does not work.

Suddenly started to work.

Looks like multilanguage support does not work.
As the extension relays on dates formatting from YASEC,
https://www.php.net/manual/ru/datetime.createfromformat.php
I expected the interface to be multilingual, when the wiki interface was switched to another language, different from English, after login.
How possible to fix it ?

JsCalendar gets #1 priority on our project, so please sudpend all other my tasks, until the JsCalendar works correctrly.
I found a several bugs:
Parameter prefix= does not work for pages in any language.
keyword search on page works in English only.
aspectratio= does not work.
There are some another bugs, but the major problem in this calendar is multilanguage support and namespace Event multilanguage support. If prefix= was working, we could create events pages in main namespace like Calendar/10-05 Some event. Please advice.

User:Затейник/sandbox has 6 jscalendars on page to test the opions and bugs.

@Helper Is this what the extension said it would do? It seems to be an upstream problem (the developers) rather than a Miraheze problem.

This comment was removed by Helper.

Even if namespace Event not possible to make multilingual, the extension JsCalendar has more to offer than WikiVoyage-Calendar. That limitation of namespace to have translation to other languages does not affects visitors and does not affects editors too much. Is there any way to contact the developer and ask him to fix the non working parameter "prefix =" ? It would solve the major problem, so the event pages would be located in main namespace.. If he could add multilanguage support to month names (+weekdays), that would be great.
However, the JsCalendar is much better solution to create and show events, so we go with that as mainline.
And appreciate for all yours support and important job, guys.

Edward Chernenko, the developer of JsCalendar, replied to my personal email and said that parameter "prefix = " works fine in another projects."

Helper: Is it possible that JsCalendar was installed on Miraheze differently from other mediawiki projects on internet ?

Helper changed the task status from Open to Stalled.EditedOct 10 2020, 13:03
Helper lowered the priority of this task from Normal to Low.

Since the mainstream for events show on calendar would be based Cargo, JsCalendar gets low priority and actually not planned for use on our wiki.

Reception123 claimed this task.
Reception123 raised the priority of this task from Low to Normal.

Since you say "not planned for us" there is no reason for us to review it at this time for a "hypothetical" wiki in the future. If this is needed later on, it can be reviewed then but for now since there is no wiki needing it is declined.

Aggree, it was right decision to decline this one. We switched for Cargo because JsCalendar does not work in the way we need. Too many hidden stones to move or to research. Strange bugs, the developer is nor ready to solve so quick. Flipping to Cargo, it opens a large field for customization, flexibility and multi-lingual support. Basicaly JsCalendar works and it could be good for somebody who wants a simple solution.